Skip to Content

Breakdown

GET /api/analytics/breakdown

Audience breakdown by browser, OS, device, or domain.

Requires analytics.read. See Overview for shared parameters and category scope.

Parameters

ParameterRequiredDescription
dimensionYesbrowser, os, device, or domain
contentTypeNovod (default) or live
contentIdNoLimit to one video or live event
from, toNoISO 8601 range
minimumWatchSecondsNoDefault 3
limitNoDefault 100

Request

curl -X GET "https://app.ignitevideo.cloud/api/analytics/breakdown?dimension=device&contentType=vod" \ -H "Authorization: Bearer YOUR_API_KEY"

Response

{ "dimension": "browser" | "os" | "device" | "domain", "from": string, "to": string, "minimumWatchSeconds": number, "breakdown": [ { "value": string, "views": number, "watchSeconds": number, "sessions": number }, [...] ] }